%define	oname	glob2
%define	name	globulation2
%define	version	0.8.21
%define	release	%mkrel 1
%define	Summary	Globulation2 - a state of the art Real Time Strategy (RTS) game

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Strategy
Source0:	http://www.ysagoon.com/glob2/data/glob2-%{version}.tar.bz2
Source1:	http://moneo.phear.org/~nct/glob2gfx.tar.bz2
Source2:	http://goldeneye.sked.ch/~smagnena/sans.ttf
Source11:	%{name}16.png
Source12:	%{name}32.png
Source13:	%{name}48.png
URL:		http://ysagoon.com/glob2/
BuildRequires:	autoconf2.5 freetype-devel oggvorbis-devel SDL-devel
BuildRequires:	SDL_image-devel SDL_net-devel speex-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Glob2 is a state of the art Real Time Strategy (RTS) game. It is free
software released under the terms of the GNU General Public License.

Globulation in a whole is an on-going project to create an innovative
high quality gameplay by minimizing micro-managment and assigning
automatically the tasks to the units. The player just has to order
the number of units he wants for a selected task and the units will
do their best to satisfy your requirements.

Glob2 can be played by a single player, through your Local Area
Network (LAN), or through Internet thanks to Ysagoon Online Game (YOG),
a meta-server. It also features a scripting language for versatile
gameplay and an integrated map editor.

%prep
%setup -q -n %{oname}-%{version}

%build
rm -f missing
aclocal
autoheader
automake --add-missing
autoconf-2.5x
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
CPPFLAGS="`pkg-config --cflags speex`"
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
tar xjf %{SOURCE1} -C %{buildroot}%{_gamesdatadir}/%{oname}/data
install %{SOURCE2} %{buildroot}%{_gamesdatadir}/%{oname}/data/fonts

mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
mv $RPM_BUILD_ROOT/%_datadir/games/applications/* $RPM_BUILD_ROOT/%_datadir/applications/

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name}  <<EOF
?package(%name): \ 
command="%{_gamesbindir}/%{oname}" needs="X11" \
icon="%{name}.png" \
section="More Applications/Games/Strategy" \
title="Globulation2"  \
longtitle="%{Summary}" xdg="true"
EOF

mkdir -p %{buildroot}%{_datadir}/applnk/Games/
cat << EOF > %{buildroot}%{_datadir}/applnk/Games/%{name}.desktop
[Desktop Entry]
Name="Globulation2" \
Comment="Strategy Game" \
TryExec="%{name}" \
Exec="%{oname}" \
Icon="%{name}.png" \
Terminal="0" \
Type="Games" \
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Strategy;Game;StrategyGame;" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_gamesbindir}/%{oname}
%dir %{_gamesdatadir}/%{oname}
%{_gamesdatadir}/%{oname}/*
%{_datadir}/applnk/Games/%{name}.desktop
%{_menudir}/%{name}
%_datadir/applications/*
%{_gamesdatadir}/pixmaps/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Thu Aug 17 2006 Lenny Cartier <lenny@mandriva.com> 0.8.21-1mdv2007.0
- 0.8.21
- xdg

* Tue May 17 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.15-1mdk
- 0.8.15

* Wed Feb 16 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.12-1mdk
- 0.8.12

* Wed Jan 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.11-1mdk
- 0.8.11

* Tue Jan 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.10-1mdk
- 0.8.10

* Tue Oct 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.9-1mdk
- 0.8.9

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.6-1mdk
- 0.8.6
- cleanups
- move stuff to %%{_gamesbindir} and %%{_gamesdatadir}
- fix menu section
- fix icon
- fix buildrequires

* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.5-3mdk
- rebuild for new g++

* Fri May 14 2004 Antoine Ginies <aginies@n2.mandrakesoft.com> 0.8.5-2mdk
- merge diff between version

*Sun May 02 2004 Bruno VASTA <bruno.vasta@infodia.fr>                                     |
- initial mdk rpm release, based on an old Che's fedora package 

* Sat Mar 20 2004 Che
- initial rpm release
